For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Visit appVisit websiteBook a demo
  • Get Started
    • Welcome
  • Authentication
    • Hirer Service Accounts
  • Concepts
    • Introduction
    • Directory & Contractors
    • Contracts
    • Approvals
    • Timesheeting
    • Checklists
  • Webhooks
    • Portal Access
    • Endpoint Setup
    • Securing Your Endpoints
    • Monitoring, Debugging & Recovery
  • Client API
      • POSTRequest a file upload
      • POSTComplete a file upload
    • Webhook Events
LogoLogo
Visit appVisit websiteBook a demo
Client APIFile Uploads

Complete a file upload

POST
https://api.yunojuno.com/file_uploads/:api_file_upload_id/complete/
POST
/file_uploads/:api_file_upload_id/complete/
$curl -X POST https://api.yunojuno.com/file_uploads/api_file_upload_id/complete/ \
> -H "Authorization: Bearer <token>"
200Successful
1{
2 "data": {
3 "api_file_upload_id": "string",
4 "purpose": "string",
5 "filename": "string",
6 "mime_type": "string",
7 "state": "string",
8 "upload_url": "string"
9 }
10}

Confirm a previously requested file upload has completed.

Mark a previously requested file upload as complete once the object is present in S3. This validates the uploaded file exists and makes it available for downstream processing (e.g. bulk project upsert).

Was this page helpful?
Previous

Retrieve an async request

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

api_file_upload_idstringRequiredformat: "^aflup_c[a-z0-9]{24}$"

Response

dataobject
The API file upload object. This object represents a file that has been uploaded via the Public API. Files can be used for various purposes such as bulk data imports.